#(ie. use with rpm --rebuild):
#
#	--with debug	Compile with debugging code
# 
#  enable build with debugging code: will _not_ strip away any debugging code,
#  will _add_ -g3 to CFLAGS, will _add_ --enable-maintainer-mode to 
#  configure.

%define build_debug 0
%define build_test 1

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_debug: %{expand: %%global build_debug 1}}
%{?_without_debug: %{expand: %%global build_debug 0}}
%{?_with_test: %{expand: %%global build_test 1}}
%{?_without_test: %{expand: %%global build_test 0}}

%if %{build_debug}
# disable build root strip policy
%define __spec_install_post %{_libdir}/rpm/brp-compress || :

# This gives extra debuggin and huge binaries
%{expand:%%define optflags %{optflags} %([ ! $DEBUG ] && echo '-g3')}
%endif

%if %{build_debug}
%define build_test 1
%define build_debug 1
%endif

%define _requires_exceptions perl(Data::Flow)\\|perl(Carp::Heavy)\\|perl(Apache::FunctionTable)\\|perl(Apache::StructureTable)\\|perl(Data::Flow)\\|perl(Module::Build)\\|perl(Apache::TestConfigParse)\\|perl(Apache::TestConfigPerl)

#Module-Specific definitions
%define apache_version 2.0.54
%define mod_version 2.0.1
%define mod_name mod_perl
%define mod_conf 75_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}
%define perl_version %(rpm -q --qf '%%{epoch}:%%{version}' perl)

# Standard Module Definitions
%define name apache-%{mod_name}
%define version %{apache_version}_%{mod_version}

Summary:	An embedded Perl interpreter for the apache Web server
Name:		%{name}
Version:	%{version}
Release:	%mkrel 6
Group:		System/Servers
License:	Apache License
URL:		http://perl.apache.org/
Source0:	http://perl.apache.org/dist/%{sourcename}.tar.gz
Source1:	http://perl.apache.org/dist/%{sourcename}.tar.gz.asc
Source2:	%{mod_conf}.bz2
Source3:	apache-mod_perl-testscript.pl
Patch0:		mod_perl-2.0.0-external_perl-apache-test.diff.bz2
Requires:       perl = %{perl_version}
BuildRequires:	perl-devel >= 5.8.2
%if %{build_test}
BuildRequires:	perl-Apache-Test >= 1.25
BuildRequires:	perl-CGI >= 1:3.08
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-libwww-perl
BuildRequires:	perl-Tie-IxHash
BuildRequires:	perl-URI
BuildRequires:	perl-BSD-Resource
BuildRequires:	apache-conf >= 2.0.54
BuildRequires:	apache-mpm-prefork >= %{apache_version}
BuildRequires:	apache-base >= %{apache_version}
BuildRequires:	apache-modules >= %{apache_version}
BuildRequires:	apache-mod_cache >= %{apache_version}
BuildRequires:	apache-mod_dav >= %{apache_version}
BuildRequires:	apache-mod_deflate >= %{apache_version}
BuildRequires:	apache-mod_disk_cache >= %{apache_version}
BuildRequires:	apache-mod_file_cache >= %{apache_version}
BuildRequires:	apache-mod_ldap >= %{apache_version}
BuildRequires:	apache-mod_mem_cache >= %{apache_version}
BuildRequires:	apache-mod_proxy >= %{apache_version}
BuildRequires:	apache-mod_ssl >= %{apache_version}
BuildRequires:	apache-mod_suexec >= %{apache_version}
BuildRequires:	apache-mod_userdir >= %{apache_version}
%endif
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.0.54
Requires(pre):  apache-mpm-prefork >= %{apache_version}
Requires(pre):  apache-base >= %{apache_version}
Requires(pre):  apache-modules >= %{apache_version}
Requires:	apache-conf >= 2.0.54
Requires:	apache-mpm-prefork >= %{apache_version}
Requires:	apache-base >= %{apache_version}
Requires:	apache-modules >= %{apache_version}
BuildRequires:	apache-devel >= %{apache_version}
Provides:	apache2-mod_perl
Obsoletes:	apache2-mod_perl
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
%{name} incorporates a Perl interpreter into the apache web server,
so that the Apache web server can directly execute Perl code.
Mod_perl links the Perl runtime library into the apache web server and
provides an object-oriented Perl interface for apache's C language
API.  The end result is a quicker CGI script turnaround process, since
no external Perl interpreter has to be started.

Install %{name} if you're installing the apache web server and you'd
like for it to directly incorporate a Perl interpreter.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):
    --with[out] debug	Compile with debugging code (forces --with test)
    --with[out]	test	Initiate a Apache-Test run

%package	devel
Summary:	Files needed for building XS modules that use mod_perl
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	apache-devel >= %{apache_version}
Provides:	apache2-mod_perl-devel
Obsoletes:	apache2-mod_perl-devel

%description	devel 
The mod_perl-devel package contains the files needed for building XS
modules that use mod_perl.

%prep

%setup -q -n %{sourcename}
%patch0 -p1
rm -rf Apache-Test

%build

# Compile the module.
%{__perl} Makefile.PL \
%if %{build_debug}
    MP_MAINTAINER=1 \
    MP_TRACE=1 \
    MP_CCOPTS="$(%{_sbindir}/apxs -q CFLAGS) -g3 -Werror -fPIC" \
%else
    MP_CCOPTS="$(%{_sbindir}/apxs -q CFLAGS) -fPIC" \
%endif
    MP_APXS=%{_sbindir}/apxs \
    MP_APR_CONFIG=%{_bindir}/apr-config \
    INSTALLDIRS=vendor </dev/null 

ln -s Apache-mod_perl_guide-1.29/bin bin

%make

# XXX mod_include/SSI does not include files when they are not named .shtml
mv t/htdocs/includes-registry/test.pl t/htdocs/includes-registry/test.shtml
mv t/htdocs/includes-registry/cgipm.pl t/htdocs/includes-registry/cgipm.shtml
sed 's/\.pl/.shtml/' t/htdocs/includes/test.shtml > tmpfile && mv tmpfile t/htdocs/includes/test.shtml

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%if %{build_debug}
export DONT_STRIP=1
%endif

%if %{build_test}
# Run the test suite.
#  Need to make t/htdocs/perlio because it isn't expecting to be run as
#  root and will fail tests that try and write files because the server
#  will have changed it's uid.
mkdir -p t/htdocs/perlio
chmod 777 t/htdocs/perlio

#
# fix for bad_scripts.t in 1.99_12
# [Tue Mar 02 17:28:26 2004] [error] file permissions deny server execution/usr/src/packages/BUILD/modperl-2.0/ModPerl-Registry/t/cgi-bin/r_inherited.pl
if test -e ModPerl-Registry/t/cgi-bin/r_inherited.pl; then chmod +x ModPerl-Registry/t/cgi-bin/r_inherited.pl; fi
#
# 1.99_12_20040302 fix for t/hooks/cleanup.t and t/hooks/cleanup2.t
# [Tue Mar 02 18:38:41 2004] [error] [client 127.0.0.1] can't open /usr/src/packages/BUILD/modperl-2.0/t/htdocs/hooks/cleanup2: Permission denied at /usr/src/packages/BUILD/modperl-2.0/Apache-Test/lib/Apache/TestUtil.pm line 82.
mkdir -p t/htdocs/hooks
chmod 2770 t/htdocs/hooks
#
# run test suite:
#
#make TEST_VERBOSE=1 APACHE_TEST_PORT=select APACHE_TEST_STARTUP_TIMEOUT=360 test  || {
#       ps aufx | grep "/usr/sbin/httpd-prefork -d /usr/src/packages/BUILD/modperl-2.0" \
#               | grep -v grep | awk '{print $2}' | xargs -r kill
#       exit 1
#}
perl t/TEST -start-httpd -port select -startup_timeout 360 -verbose -httpd_conf /etc/httpd/conf/httpd.conf
perl t/TEST -run-tests || {
perl t/TEST -stop-httpd
    exit 1
}
perl t/TEST -stop-httpd
# in case of failures, see http://perl.apache.org/docs/2.0/user/help/help.html#_C_make_test___Failures
# then, debug like this:
# t/TEST -start-httpd
# tail -F t/logs/*&
# t/TEST -run-tests -verbose $failed_test
# t/TEST -stop-httpd

#make \
#    APACHE_TEST_PORT=select \
#    APACHE_TEST_STARTUP_TIMEOUT=30 \
#    APACHE_TEST_COLOR=1 \
#    TEST_VERBOSE=1 \
#    APACHE_TEST_HTTPD=%{_sbindir}/httpd \
#    APACHE_TEST_APXS=%{_sbindir}/apxs \
#    test

%endif

# make some directories
install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d
#install -d %{buildroot}%{_sysconfdir}/httpd/conf/addon-modules
install -d %{buildroot}%{_var}/www/perl

%makeinstall \
    MODPERL_AP_LIBEXECDIR=%{_libdir}/apache-extramodules \
    MODPERL_AP_INCLUDEDIR=%{_includedir}/apache \
    INSTALLDIRS=vendor

bzcat %{SOURCE2} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

# Remove empty file
rm -f docs/api/mod_perl-2.0/pm_to_blib

install -m0755 %{SOURCE3} %{buildroot}%{_var}/www/perl

# install missing required files
install -d %{buildroot}%{perl_vendorarch}/Apache2/Apache
install -m0644 xs/tables/current/Apache2/ConstantsTable.pm %{buildroot}%{perl_vendorarch}/Apache2/Apache/
install -m0644 xs/tables/current/Apache2/FunctionTable.pm %{buildroot}%{perl_vendorarch}/Apache2/Apache/
install -m0644 xs/tables/current/Apache2/StructureTable.pm %{buildroot}%{perl_vendorarch}/Apache2/Apache/

# cleanup
find %{buildroot}%{perl_archlib} -name perllocal.pod | xargs rm -f

# don't pack the Apache-Test stuff
rm -rf %{buildroot}%{perl_vendorlib}/Apache
rm -f %{buildroot}%{perl_vendorlib}/Bundle/ApacheTest.pm
rm -f %{buildroot}%{_mandir}/man3/Apache::Test*
rm -f %{buildroot}%{_mandir}/man3/Bundle::ApacheTest.3pm

# README.urpmi
cat > README.urpmi << EOF

MOD_PERL 2.0.0
--------------

Your code won't run anymore? Yep, the API changed drastically since 
2.0.0-RC6. More info here:

http://perl.apache.org/docs/2.0/rename.html
http://marc.theaimsgroup.com/?t=111135037100002&r=1&w=2

+--------------------------------------------------------------+
|                                                              |
| For details on getting started with mod_perl 2, see:         |
|                                                              |
|   http://perl.apache.org/docs/2.0/user/intro/start_fast.html |
|                                                              |
|                                                              |
| Found a bug?  File a bug report:                             |
|                                                              |
|   http://perl.apache.org/bugs/                               |
|                                                              |
+--------------------------------------------------------------+

EOF

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{name}
%defattr(-,root,root)
%doc Changes INSTALL LICENSE README docs todo README.urpmi
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*
%{perl_vendorlib}
%{_mandir}/*/*
%attr(0755,root,root) %{_var}/www/perl/*.pl

%files devel
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/*
%{_includedir}/apache/*

%changelog
* Mon Sep 05 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.1-6mdk
- rebuild 

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.1-5mdk
- rebuilt against new openldap-2.3.6 libs

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.1-4mdk
- fix deps

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.1-3mdk
- added another work around for a rpm bug

* Fri Jul 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.1-2mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Wed Jul 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.1-1mdk
- 2.0.1

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.0-4mdk
- nuke the bundled Apache-Test and use the "system" one
- reworked the --with/--without spec file magic
- fix deps

* Thu Jun 09 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.0-3mdk
- fix deps

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.0-2mdk
- run the test suite

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.0-1mdk
- 2.0.0 final
- fix #12874 and #15586

* Thu May 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.0-0.RC6.1mdk
- 2.0.0 RC6
- the apache-mod_perl-startup.pl file seems not needed anymore, so don't use it
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Tue Apr 19 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.0-0.RC5.1mdk
- 2.0.0 RC5
- renamed to apache-mod_perl
- nuke rpath

* Thu Mar 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-0.RC4.6mdk
- use the %%mkrel macro

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-0.RC4.5mdk
- fix %%post and %%postun to prevent double restarts

* Wed Feb 16 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_2.0.0-0.RC4.4mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-0.RC4.3mdk
- fix deps

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-0.RC4.2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-0.RC4.1mdk
- rebuilt for apache 2.0.53

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.52_2.0.0-0.RC4.6mdk
- rebuild for ldap2.2_7

* Sun Feb 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC4.5mdk
- fix deps

* Sun Feb 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC4.4mdk
- fix deps

* Sat Feb  5 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC4.3mdk
- rebuilt against new openldap libs

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC4.2mdk
- added conditional build deps if a "--with test" build
- fix requires-on-release

* Sat Jan 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC4.1mdk
- mod_perl-2.0.0-RC4
- drop upstream P0
- the tests nearly passes now, 6/222 fails, not bad... thanks to Stas Bekman
  for the "-httpd_conf /etc/httpd/conf/httpd2.conf" tip

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC3.5mdk
- drop bogus deps

* Fri Jan 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC3.4mdk
- try and make the make test work, used stuff from fedora and suse
- don't pack the bundled Apache-Test stuff
- use less restrictive permissions on the config files

* Wed Jan 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC3.3mdk
- drop the fake Apache::Status stuff from the testscript.pl file
- fix deps

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC3.2mdk
- make --with debug work

* Mon Jan 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-0.RC3.1mdk
- mod_perl-2.0.0-RC3
- nuke fake Apache::Status as this is included and works now
- make test just bombs out (it thinks we are apache1)..., disable it for now

* Tue Nov 30 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0.52_1.99_17-6mdk
- really rebuilt against perl-5.8.6

* Tue Nov 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.99_17-5mdk
- rebuilt against perl-5.8.6

* Tue Nov 16 2004 Michael Scherer <misc@mandrake.org> 2.0.52_1.99_17-4mdk
- Rebuild for new perl

* Tue Nov 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.99_17-3mdk
- rebuild against newish apr libs

* Tue Nov 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.99_17-2mdk
- rule out some more perl* stuff (fedora)
- fix deps

* Sat Oct 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.99_17-1mdk
- 1.99_17

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.99_16-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_1.99_16-1mdk
- built for apache 2.0.51

* Tue Aug 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.99_16-1mdk
- 1.99_16

* Sat Aug 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.99_15-1mdk
- 1.99_15
- fixed S6

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.99_14-5mdk
- rebuilt

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.99_14-4mdk
- rule out perl(Carp::Heavy) as perl in mdk10.0 doesn't seem to provide
  it (though it has since 5.6.1)

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.99_14-3mdk
- remove redundant provides

* Thu Jul 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0.50_1.99_14-2mdk
- Rebuild for new perl

* Wed Jun 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.99_14-1mdk
- built for apache 2.0.50

* Mon Jun 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_1.99_14-3mdk
- fix conflicting man page with mod_perl-common-1.3.31_1.29-1mdk

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_1.99_14-2mdk
- fix license
- rule out Data::Flow as it's not needed (rgarciasuarez@mandrakesoft.com)

* Fri Jun 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_1.99_14-1mdk
- 1.99_14
- built for apache 2.0.49

* Tue Apr 06 2004 Michael Scherer <misc@mandrake.org> 2.0.48_1.99_11-4mdk 
- rebuild for new perl
- remove parallel compilation

* Wed Jan 21 2004 Pixel <pixel@mandrakesoft.com> 2.0.48_1.99_11-3mdk
- fix standard-dir-owned-by-package /usr/share/man/man3
- rebuild for new perl

* Fri Dec 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.99_11-2mdk
- require the exact perl version (thanks pixel)

* Fri Nov 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.99_11-1mdk
- 1.99_11

* Wed Nov 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.99_10-2mdk
- rebuilt against perl-5.8.2

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.99_10-1mdk
- built for apache 2.0.48
- 1.99_10
- drop useless P0
- drop P1, it's included

* Wed Aug 13 2003 Franois Pons <fpons@mandrakesoft.com> 2.0.47_1.99_09-3mdk
- rebuild against with latest perl.
- add patch from mod_perl cvs to handle perl 5.8.1 and above for hash
  ramdomization.
- added require to apache2-mod_proxy needed by configuration files.

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 2.0.47_1.99_09-2mdk
- Rebuild to fix bad signature

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.99_09-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.99_09-4mdk
- force provide on "perl(Apache::TestConfigParse)" and "perl(Apache::TestConfigPerl)"

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.99_09-3mdk
- install missing required files

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.99_09-2mdk
- fix requires and provides (duh!)

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.99_09-1mdk
- rebuilt for apache v2.0.46
- buildrequires ADVX-build >= 9.2
- added the pgp sig file
- added P0 and some spec file stuff from rh rawhide
- added the devel sub package

* Fri Apr 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.99_08-1mdk
- cosmetic rebuild for apache v2.0.45

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_1.99_08-3mdk
- add fake Apache::Status with a message that it's not implemented yet,
  asking to install mod_perl-common if the user requires this function.

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_1.99_08-2mdk
- rebuild

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_1.99_08-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.99_08-3mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.99_08-2mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.99_08-3mdk
- 1.99_08
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.99_07-2mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.99_07-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)

* Mon Sep 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_1.99_07-1mdk
- new version
- rebuilt against new apache v2.0.42

* Wed Sep  4 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_1.99_05-2mdk
- Fix Requires

* Wed Aug 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_1.99_05-1mdk
- Rebuild with ADVX policy (http://advx.org/devel/policy.php)
- Provide a working, tested, configuration file and startup script
- Move config script to order 75 (always best to put after mod_php)

* Wed Aug 21 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.99_05-1mdk
- Official 1.99_05 version

* Wed Aug 21 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0-0.20020803.4mdk
- Add the MP_TRACE option since this is a CVS module and still has bugs
- Remade specfile so it works with the new ADVX Apache 2.

* Tue Aug  6 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020803.3mdk
- rebuilt against new multi threading perl
- really use the 0803 snapshot this time, not 0802

* Fri Aug  2 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020803.2mdk
- fix so mod_perl-1.27 can coexist, well at least when building (thanks to Stas Bekman)

* Fri Aug  2 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020803.1mdk
- new CVS version (it compiles!)
- built against new apache2 and perl
- misc spec file fixes

* Wed Jul 10 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020710.1mdk
- new CVS version

* Mon Jul  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020701.1mdk
- new CVS version

* Sat Jun 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020629.1mdk
- new CVS version
- ship the correct perl.conf file...

* Tue Jun 18 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020618.1mdk
- new CVS version

* Mon Jun 17 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020617.1mdk
- new CVS version

* Sun Jun 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020616.1mdk
- new CVS version

* Sat Jun 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020615.2mdk
- restart apache2 in %%post and %%preun (duh!)

* Sat Jun 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020615.1mdk
- new CVS version

* Fri Jun 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020614.1mdk
- new CVS version
- misc spec file fixes

* Fri Jun 14 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020613.2mdk
- hmmm..., it seems crucial that mod_perl is built against the exact CVS
  version of apache2
- added similar disclamier as in the apache2 %%description

* Thu Jun 13 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020613.1mdk
- new CVS version
- renamed ServerRoot/modules.d/perl.conf to ServerRoot/modules.d/45_mod_perl.conf

* Thu Jun 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20020612.1mdk
- boldy stolen spec file from RH Rawhide :-)
- 1.99_02 did not compile, but the one from CVS did...





